<?php 
// $Header: /cvsroot/phptsmadmin/phpTSMadmin/htdocs/images/index.php,v 1.1 2008/01/15 10:15:28 wurley Exp $

/**
 * This will show a nice table of all the icons used by this application.
 *
 * @package leenooksApp
 */

echo '<html>';
echo '<title>Application Icons</title>';
echo '<head><link type="text/css" rel="stylesheet" href="../css/style.css" media="screen" /></head>';

echo '<body>';
echo '<h3 class="title">Application Icons</h3>';
echo '<br />';
echo '<center>';

$dir = opendir('.');
while (($file = readdir($dir)) !== false) {
	if ($file == '.' || $file == '..')
		continue;

	if (! preg_match('/\.png$/',$file))
		continue;

	$files[filesize($file).'_'.$file] = $file;
}

sort($files);

$cell_style = 'color: #888; text-align:center; padding: 10px; padding-bottom: 20px; vertical-align: bottom;';

printf('<center><b>The %s icons used by this application.</b></center>',count($files));
echo '<table style="font-family: arial; font-size: 12px;">';

$counter = 0;
foreach ($files as $file) {
	if ($counter % 6 == 0) {
		if ($counter)
			echo '</tr>'."\n"; 
		flush();
		echo '<tr>';
	}

	$counter++;
	printf('<td style="%s"><img title="%s" src="%s" /><br />%s</td>',$cell_style,htmlspecialchars($file),htmlspecialchars($file),$file);
}
echo '</tr>';
echo '</table>';

echo '</center>';
echo '</body>';
echo '</html>';
?>
